package resmon

import "repository.basistech.ru/BASIS/decort-golang-sdk/interfaces"

// Structure for creating request to resource monitoring
type Resmon struct {
	client interfaces.Caller
}

// Builder for resource monitoring endpoints
func New(client interfaces.Caller) *Resmon {
	return &Resmon{
		client: client,
	}
}
